package com.ruoyi.party.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 党员活动对象 party_activity
 * 
 * @author ruoyi
 * @date 2024-05-15
 */
public class PartyActivity extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 主题 */
    @Excel(name = "主题")
    private String zt;

    /** 服务类型 */
    @Excel(name = "服务类型")
    private String fwlx;

    /** 活动地点 */
    @Excel(name = "活动地点")
    private String hddd;

    /** 活动内容 */
    @Excel(name = "活动内容")
    private String nr;

    /** 主持人 */
    @Excel(name = "主持人")
    private String zcr;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String lxdh;

    /** 所属党组织· */
    @Excel(name = "所属党组织·")
    private String ssdzzmc;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createUser;

    /** 活动人数 */
    @Excel(name = "活动人数")
    private String hdrs;

    /** 记录人*/
    @Excel(name = "记录人")
    private String jlr;

    /** 开始时间
 */
    @Excel(name = "开始时间")
    private String kssj;

    /** 结束时间
 */
    @Excel(name = "结束时间 ")
    private String jssj;

    private String pic;

    private String wgCode;

    @TableField(exist = false)
    private String fwlxString;

    /**
     * 党组织中文
     */
    private String dzzValue;

    public String getDzzValue() {
        return dzzValue;
    }

    public void setDzzValue(String dzzValue) {
        this.dzzValue = dzzValue;
    }

    public void setId(String id)
    {
        this.id = id;
    }

    public String getFwlxString() {
        return fwlxString;
    }

    public void setFwlxString(String fwlxString) {
        this.fwlxString = fwlxString;
    }

    public String getId()
    {
        return id;
    }
    public void setZt(String zt) 
    {
        this.zt = zt;
    }

    public String getZt() 
    {
        return zt;
    }
    public void setFwlx(String fwlx) 
    {
        this.fwlx = fwlx;
    }

    public String getFwlx() 
    {
        return fwlx;
    }
    public void setHddd(String hddd) 
    {
        this.hddd = hddd;
    }

    public String getHddd() 
    {
        return hddd;
    }
    public void setNr(String nr) 
    {
        this.nr = nr;
    }

    public String getNr() 
    {
        return nr;
    }
    public void setZcr(String zcr) 
    {
        this.zcr = zcr;
    }

    public String getZcr() 
    {
        return zcr;
    }
    public void setLxdh(String lxdh) 
    {
        this.lxdh = lxdh;
    }

    public String getLxdh() 
    {
        return lxdh;
    }
    public void setSsdzzmc(String ssdzzmc) 
    {
        this.ssdzzmc = ssdzzmc;
    }

    public String getSsdzzmc() 
    {
        return ssdzzmc;
    }
    public void setCreateUser(String createUser) 
    {
        this.createUser = createUser;
    }

    public String getCreateUser() 
    {
        return createUser;
    }
    public void setHdrs(String hdrs) 
    {
        this.hdrs = hdrs;
    }

    public String getHdrs() 
    {
        return hdrs;
    }
    public void setJlr(String jlr) 
    {
        this.jlr = jlr;
    }

    public String getJlr() 
    {
        return jlr;
    }
    public void setKssj(String kssj) 
    {
        this.kssj = kssj;
    }

    public String getKssj() 
    {
        return kssj;
    }
    public void setJssj(String jssj) 
    {
        this.jssj = jssj;
    }

    public String getJssj() 
    {
        return jssj;
    }


    public String getPic() {
        return pic;
    }

    public void setPic(String pic) {
        this.pic = pic;
    }

    public String getWgCode() {
        return wgCode;
    }

    public void setWgCode(String wgCode) {
        this.wgCode = wgCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("zt", getZt())
            .append("fwlx", getFwlx())
            .append("hddd", getHddd())
            .append("nr", getNr())
            .append("zcr", getZcr())
            .append("lxdh", getLxdh())
            .append("ssdzzmc", getSsdzzmc())
            .append("createUser", getCreateUser())
            .append("createTime", getCreateTime())
            .append("hdrs", getHdrs())
            .append("jlr", getJlr())
            .append("kssj", getKssj())
            .append("jssj", getJssj())
            .append("pic",getPic())
            .append("wgCode",getWgCode())
            .append("fwlxString",fwlxString)
            .toString();
    }
}
